#if !defined(AFX_VIP2INTERFACE_H__50780580_3EB6_11D4_9524_0000E8E3ABB5__INCLUDED_)
#define AFX_VIP2INTERFACE_H__50780580_3EB6_11D4_9524_0000E8E3ABB5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Vip2Interface.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVip2Interface dialog

class CVip2Interface : public CDialog
{
// Construction
public:
	CVip2Interface(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CVip2Interface)
	enum { IDD = IDD_INTERFACE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVip2Interface)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

	int		x;
	int		y;
	CRect	rect;
	CRect	rect1;
	int		xs;
	int		ys;

	HRGN	AppRgn		; //Région
	BOOL	FirstPaint	;
	BOOL	Active		;
	int		TimeWait	;
	clock_t LastTime	;

	BOOL	IsHide		;

//------------------------- Params
	BOOL		bpp32	;
	BOOL		stereo	;
	int		resol	;
//-------------------------

	void IniAllBouton()	;
	void LaunchDemo()	;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVip2Interface)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIP2INTERFACE_H__50780580_3EB6_11D4_9524_0000E8E3ABB5__INCLUDED_)
